## Update D1 Database partially `client.d1.database.edit(stringdatabaseId, DatabaseEditParamsparams, RequestOptionsoptions?): D1` **patch** `/accounts/{account_id}/d1/database/{database_id}` Updates partially the specified D1 database. ### Parameters - `databaseId: string` D1 database identifier (UUID). - `params: DatabaseEditParams` - `account_id: string` Path param: Account identifier tag. - `read_replication?: ReadReplication` Body param: Configuration for D1 read replication. - `mode: "auto" | "disabled"` The read replication mode for the database. Use 'auto' to create replicas and allow D1 automatically place them around the world, or 'disabled' to not use any database replicas (it can take a few hours for all replicas to be deleted). - `"auto"` - `"disabled"` ### Returns - `D1` The details of the D1 database. - `created_at?: string` Specifies the timestamp the resource was created as an ISO8601 string. - `file_size?: number` The D1 database's size, in bytes. - `jurisdiction?: "eu" | "fedramp" | null` Specify the location to restrict the D1 database to run and store data. If this option is present, the location hint is ignored. - `"eu"` - `"fedramp"` - `name?: string` D1 database name. - `num_tables?: number` - `read_replication?: ReadReplication` Configuration for D1 read replication. - `mode: "auto" | "disabled"` The read replication mode for the database. Use 'auto' to create replicas and allow D1 automatically place them around the world, or 'disabled' to not use any database replicas (it can take a few hours for all replicas to be deleted). - `"auto"` - `"disabled"` - `uuid?: string` D1 database identifier (UUID). - `version?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const d1 = await client.d1.database.edit('xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(d1.uuid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2022-11-15T18:25:44.442097Z", "file_size": 12, "jurisdiction": "eu", "name": "my-database", "num_tables": 12, "read_replication": { "mode": "auto" }, "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx", "version": "production" }, "success": true } ```